Bug 1093027 - Leap 15.0 lost Analog output for SB live 5.1 sound card EMU10K1
Leap 15.0 lost Analog output for SB live 5.1 sound card EMU10K1
Status: RESOLVED UPSTREAM
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Sound
Leap 15.0
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Takashi Iwai
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-12 09:44 UTC by Hillwood Yang
Modified: 2022-03-04 20:40 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
output list in Tumbleweed 20180502 without the bug (807.10 KB, image/png)
2018-05-12 09:44 UTC, Hillwood Yang
Details
output list in Leap 15 with the bug (2.25 MB, image/png)
2018-05-12 09:46 UTC, Hillwood Yang
Details
output list in Leap 15 kernel 4.16.8 without the bug (736.01 KB, image/png)
2018-05-14 13:48 UTC, Hillwood Yang
Details
alsa-info output with kernel 4.12.14 in Leap 15 (169.01 KB, text/plain)
2018-05-14 14:30 UTC, Hillwood Yang
Details
alsa-info output with kernel 4.16.8 (126.16 KB, text/plain)
2018-05-14 14:31 UTC, Hillwood Yang
Details
alsa-info output with kernel 4.12.14.g7873b61 in Leap 15 (190.33 KB, text/plain)
2018-05-15 12:47 UTC, Hillwood Yang
Details
dmesg output (114.21 KB, text/x-log)
2018-05-15 14:03 UTC, Hillwood Yang
Details
dmesg-4.12.14.g7c82cb4.log (81.70 KB, text/x-log)
2018-05-16 13:01 UTC, Hillwood Yang
Details
alsa-info output with kernel 4.12.14.g7c82cb4 in Leap 15.0 (138.86 KB, text/plain)
2018-05-16 13:04 UTC, Hillwood Yang
Details
dmesg-4.12.14-lp150.11-default-with-iommu=soft.txt (68.56 KB, text/plain)
2018-05-16 14:01 UTC, Hillwood Yang
Details
alsainfo-kernel-4_12_14-softiommu.txt (125.95 KB, text/plain)
2018-05-16 14:03 UTC, Hillwood Yang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hillwood Yang 2018-05-12 09:44:14 UTC
Created attachment 769977 [details]
output list in Tumbleweed 20180502 without the bug

This sound card works fine in Leap 42.3 and Tumbleweed. But there is not any Analog output option in output list for SB live 5.1 (EMU10K1).
Comment 1 Hillwood Yang 2018-05-12 09:46:01 UTC
Created attachment 769978 [details]
output list in Leap 15 with the bug
Comment 2 Takashi Iwai 2018-05-14 09:31:57 UTC
(In reply to Hillwood Yang from comment #0)
> Created attachment 769977 [details]
> output list in Leap 15.0
> 
> This sound card works fine in Leap 42.3 and Tumbleweed. But there is not any
> Analog output option in output list for SB live 5.1 (EMU10K1).

I see "Analog Output" in this screenshot.  The screenshot in comment 1 misses it, though.  Did you attach the pictures wrongly?

There should be no big difference in the kernel, so at most it's likely a PulseAudio problem.  Try to upgrade pulseaudio related packages from TW or OBS multimedia:libs project.
Comment 3 Hillwood Yang 2018-05-14 12:39:21 UTC
(In reply to Takashi Iwai from comment #2)
> (In reply to Hillwood Yang from comment #0)
> > Created attachment 769977 [details]
> > output list in Leap 15.0
> > 
> > This sound card works fine in Leap 42.3 and Tumbleweed. But there is not any
> > Analog output option in output list for SB live 5.1 (EMU10K1).
> 
> I see "Analog Output" in this screenshot.  The screenshot in comment 1
> misses it, though.  Did you attach the pictures wrongly?


Sorry, it is my mistake. I fixed their descriptions just now.

> 
> There should be no big difference in the kernel, so at most it's likely a
> PulseAudio problem.  Try to upgrade pulseaudio related packages from TW or
> OBS multimedia:libs project.

The pulseaudio's version in multimedia:libs is same as it in Leap 15.
Comment 4 Takashi Iwai 2018-05-14 12:58:16 UTC
Hrm, OK, then please try to install TW kernel from OBS Kernel:stable repo, and test with it.  If this makes the difference, I should be able to fix it easily.
Comment 5 Hillwood Yang 2018-05-14 13:48:41 UTC
Created attachment 770094 [details]
output list in Leap 15 kernel 4.16.8 without the bug

Yes, kernel 4.16.8 can fix this bug.
Comment 6 Takashi Iwai 2018-05-14 13:52:18 UTC
Aha, interesting.

Could you take alsa-info.sh outputs on both 4.16 and 4.12 kernels, and attach to bugzilla?
Comment 7 Hillwood Yang 2018-05-14 14:30:27 UTC
Created attachment 770114 [details]
alsa-info output with kernel 4.12.14 in Leap 15
Comment 8 Hillwood Yang 2018-05-14 14:31:09 UTC
Created attachment 770115 [details]
alsa-info output with kernel 4.16.8
Comment 9 Takashi Iwai 2018-05-14 14:38:16 UTC
Ah, I see that emu10k1 driver failed to allocate pages.
We've got fixes for IOMMU issues recently, and possibly that's it.

I'll try to build a test kernel with the backported fixes.
Comment 10 Takashi Iwai 2018-05-14 14:52:27 UTC
A test kernel is being built in OBS home:tiwai:bnc1093027 repo.
It'll take some time (an hour or so) until the build finishes.  Once after that, please test the kernel.

If it still doesn't work, please upload alsa-info.sh output from the kernel again.
Comment 11 Hillwood Yang 2018-05-15 12:47:33 UTC
Created attachment 770278 [details]
alsa-info output with kernel 4.12.14.g7873b61 in Leap 15

This kernel still can not fix this bug.
Comment 12 Takashi Iwai 2018-05-15 13:49:32 UTC
Hm, then the patches are irrelevant with the allocation issues.
Could you give the whole kernel messages after the boot?

Basically the issue isn't new, and it's interesting that it worked before.
(Do I understand correctly that you didn't have the problem with Leap 42.3 kernel, right?)

There were a big rewrite of swiotlb in the recent kernels, and this might make things working again...
Comment 13 Hillwood Yang 2018-05-15 14:03:17 UTC
Created attachment 770292 [details]
dmesg output
Comment 14 Takashi Iwai 2018-05-15 15:02:07 UTC
Thanks.  This is an AMD IOMMU, and I thought this should have been a long-standing issue with it.  Didn't it happen in the past?  Interesting.

In anyway, I'll try to hack and add a temporary workaround.
A new kernel is being built in OBS home:tiwai:bnc1093027-2 repo.  Please try it later.
Comment 15 Hillwood Yang 2018-05-16 12:59:20 UTC
(In reply to Takashi Iwai from comment #14)
> Thanks.  This is an AMD IOMMU, and I thought this should have been a
> long-standing issue with it.  Didn't it happen in the past?  Interesting.
> 

This bug is not in Leap 42.3 and before.
Comment 16 Hillwood Yang 2018-05-16 13:01:17 UTC
Created attachment 770441 [details]
dmesg-4.12.14.g7c82cb4.log

Sadly, this building still can not fix this bug....
Comment 17 Hillwood Yang 2018-05-16 13:04:13 UTC
Created attachment 770443 [details]
alsa-info output with kernel 4.12.14.g7c82cb4 in Leap 15.0
Comment 18 Takashi Iwai 2018-05-16 13:27:31 UTC
Thanks, so it's not the failure at the allocation time but it's a bad page fault happening in iommu, as the AMD-Vi error messages indicate.

Could you try to boot with iommu=soft option and see whether it suppresses the issue?  It should be effective to genuine Leap kernels, too.
Comment 19 Hillwood Yang 2018-05-16 14:00:00 UTC
(In reply to Takashi Iwai from comment #18)
> Thanks, so it's not the failure at the allocation time but it's a bad page
> fault happening in iommu, as the AMD-Vi error messages indicate.
> 
> Could you try to boot with iommu=soft option and see whether it suppresses
> the issue?  It should be effective to genuine Leap kernels, too.

It's great! Fixed by this option!
Comment 20 Hillwood Yang 2018-05-16 14:01:33 UTC
Created attachment 770455 [details]
dmesg-4.12.14-lp150.11-default-with-iommu=soft.txt
Comment 21 Takashi Iwai 2018-05-16 14:02:28 UTC
Good to hear.  So this sounds more like an issue with AMD IOMMU stuff.
The drawback with iommu=soft is, of course, a performance drop.  It essentially disables the hardware IOMMU.

What system is it, BTW?
Comment 22 Hillwood Yang 2018-05-16 14:03:33 UTC
Created attachment 770457 [details]
alsainfo-kernel-4_12_14-softiommu.txt
Comment 23 Hillwood Yang 2018-05-16 14:03:59 UTC
(In reply to Takashi Iwai from comment #21)
> Good to hear.  So this sounds more like an issue with AMD IOMMU stuff.
> The drawback with iommu=soft is, of course, a performance drop.  It
> essentially disables the hardware IOMMU.
> 
> What system is it, BTW?

Leap 15.0
Comment 24 Takashi Iwai 2018-05-16 14:05:00 UTC
Err, I meant the hardware side :)  Which AMD chip it is?
Comment 25 Hillwood Yang 2018-05-16 14:16:38 UTC
(In reply to Takashi Iwai from comment #24)
> Err, I meant the hardware side :)  Which AMD chip it is?

ASUS PRIME X370-A (AMD X370).
Comment 26 Takashi Iwai 2018-05-16 14:19:59 UTC
Did you update BIOS to the recent version?

I'm asking this because there were some issues on some Ryzen boards that showed similar IOMMU page fault errors, and got fixed by BIOS update.  So just to be sure...

And one more favor: could you try kernel-vanilla-4.12.* package from Leap 15.0, and check whether you get the same issue?  It's to confirm whether the issue is brought by our own patches or not.  Thanks.
Comment 27 Hillwood Yang 2018-05-16 14:57:15 UTC
Updating BIOS is not helpful. And kernel-vanilla also have this issue.
Comment 28 Takashi Iwai 2018-05-16 15:00:47 UTC
OK, thanks for confirmation.  So the conclusion is that it's a generic problem of AMD IOMMU stuff on 4.12 kernel, which has been eventually fixed in the upstream.
Comment 29 Takashi Iwai 2018-05-16 15:44:26 UTC
I'm afraid that we'd need to live with the workaround for Leap 15.0.
Feel free to reopen if you see any regressions by that.  Thanks.
Comment 30 Takashi Iwai 2018-05-16 15:54:07 UTC
BTW, although the bug itself could be worked around with the option, I merged a few emu10k1 fixes from upstream, as relevant with iommu, too.
Comment 33 Swamp Workflow Management 2018-07-18 06:14:40 UTC
This is an autogenerated message for OBS integration:
This bug (1093027) was mentioned in
https://build.opensuse.org/request/show/623532 15.0 / kernel-source
Comment 34 Swamp Workflow Management 2018-07-18 06:14:40 UTC
This is an autogenerated message for OBS integration:
This bug (1093027) was mentioned in
https://build.opensuse.org/request/show/623532 15.0 / kernel-source
Comment 35 Swamp Workflow Management 2018-07-27 18:55:09 UTC
SUSE-SU-2018:2092-1: An update that solves 22 vulnerabilities and has 246 fixes is now available.

Category: security (important)
Bug References: 1046303,1046305,1046306,1046307,1046540,1046542,1046543,1048129,1050242,1050252,1050529,1050536,1050538,1050545,1050549,1050662,1051510,1052766,1055968,1056427,1056643,1056651,1056653,1056657,1056658,1056662,1056686,1056787,1058115,1058513,1058659,1058717,1060463,1061024,1061840,1062897,1064802,1065600,1066110,1066129,1068032,1068054,1071218,1071995,1072829,1072856,1073513,1073765,1073960,1074562,1074578,1074701,1074741,1074873,1074919,1075006,1075007,1075262,1075419,1075748,1075876,1076049,1076115,1076372,1076830,1077338,1078248,1078353,1079152,1079747,1080039,1080542,1081599,1082485,1082504,1082869,1082962,1083647,1083900,1084001,1084570,1085308,1085539,1085626,1085933,1085936,1085937,1085938,1085939,1085941,1086282,1086283,1086286,1086288,1086319,1086323,1086400,1086652,1086739,1087078,1087082,1087084,1087092,1087205,1087210,1087213,1087214,1087284,1087405,1087458,1087939,1087978,1088354,1088690,1088704,1088722,1088796,1088804,1088821,1088866,1089115,1089268,1089467,1089608,1089663,1089664,1089667,1089669,1089752,1089753,1089878,1090150,1090457,1090605,1090643,1090646,1090658,1090734,1090888,1090953,1091158,1091171,1091424,1091594,1091666,1091678,1091686,1091781,1091782,1091815,1091860,1091960,1092100,1092472,1092710,1092772,1092888,1092904,1092975,1093023,1093027,1093035,1093118,1093148,1093158,1093184,1093205,1093273,1093290,1093604,1093641,1093649,1093653,1093655,1093657,1093663,1093721,1093728,1093904,1093990,1094244,1094356,1094420,1094541,1094575,1094751,1094825,1094840,1094912,1094978,1095042,1095094,1095115,1095155,1095265,1095321,1095337,1095467,1095573,1095735,1095893,1096065,1096480,1096529,1096696,1096705,1096728,1096753,1096790,1096793,1097034,1097105,1097234,1097356,1097373,1097439,1097465,1097468,1097470,1097471,1097472,1097551,1097780,1097796,1097800,1097941,1097961,1098016,1098043,1098050,1098174,1098176,1098236,1098401,1098425,1098435,1098599,1098626,1098706,1098983,1098995,1099029,1099041,1099109,1099142,1099183,1099715,1099792,1099918,1099924,1099966,1100132,1100209,1100340,1100362,1100382,1100394,1100416,1100418,1100491,1100602,1100633,1100843,1101296,1101315,1101324,971975,975772
CVE References: CVE-2017-5715,CVE-2017-5753,CVE-2018-1000200,CVE-2018-1000204,CVE-2018-10087,CVE-2018-10124,CVE-2018-1092,CVE-2018-1093,CVE-2018-1094,CVE-2018-1118,CVE-2018-1120,CVE-2018-1130,CVE-2018-12233,CVE-2018-13053,CVE-2018-13405,CVE-2018-13406,CVE-2018-3639,CVE-2018-5803,CVE-2018-5848,CVE-2018-7492,CVE-2018-8781,CVE-2018-9385
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    kernel-default-4.12.14-25.3.1
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-25.3.1, kernel-livepatch-SLE15_Update_1-1-1.3.1
SUSE Linux Enterprise Module for Legacy Software 15 (src):    kernel-default-4.12.14-25.3.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    kernel-docs-4.12.14-25.3.1, kernel-obs-build-4.12.14-25.3.1, kernel-source-4.12.14-25.3.1, kernel-syms-4.12.14-25.3.1, kernel-vanilla-4.12.14-25.3.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    kernel-default-4.12.14-25.3.1, kernel-source-4.12.14-25.3.1, kernel-zfcpdump-4.12.14-25.3.1
SUSE Linux Enterprise High Availability 15 (src):    kernel-default-4.12.14-25.3.1
Comment 36 Swamp Workflow Management 2018-07-28 13:45:44 UTC
openSUSE-SU-2018:2119-1: An update that solves 23 vulnerabilities and has 283 fixes is now available.

Category: security (important)
Bug References: 1022476,1046303,1046305,1046306,1046307,1046540,1046542,1046543,1048129,1050242,1050252,1050529,1050536,1050538,1050545,1050549,1050662,1051510,1052766,1055117,1055186,1055968,1056427,1056643,1056651,1056653,1056657,1056658,1056662,1056686,1056787,1058115,1058513,1058659,1058717,1059336,1060463,1061024,1061840,1062897,1064802,1065600,1065729,1066110,1066129,1068032,1068054,1068546,1071218,1071995,1072829,1072856,1073513,1073765,1073960,1074562,1074578,1074701,1074741,1074873,1074919,1074984,1075006,1075007,1075262,1075419,1075748,1075876,1076049,1076115,1076372,1076830,1077338,1078248,1078353,1079152,1079747,1080039,1080157,1080542,1081599,1082485,1082504,1082869,1082962,1083647,1083684,1083900,1084001,1084570,1084721,1085308,1085341,1085400,1085539,1085626,1085933,1085936,1085937,1085938,1085939,1085941,1086224,1086282,1086283,1086286,1086288,1086319,1086323,1086400,1086467,1086652,1086739,1087084,1087088,1087092,1087205,1087210,1087213,1087214,1087284,1087405,1087458,1087939,1087978,1088273,1088354,1088374,1088690,1088704,1088713,1088722,1088796,1088804,1088821,1088866,1088872,1089074,1089086,1089115,1089141,1089198,1089268,1089271,1089467,1089608,1089644,1089663,1089664,1089667,1089669,1089752,1089753,1089762,1089878,1089889,1089977,1090098,1090150,1090457,1090522,1090534,1090535,1090605,1090643,1090646,1090658,1090717,1090734,1090818,1090888,1090953,1091101,1091158,1091171,1091264,1091424,1091532,1091543,1091594,1091666,1091678,1091686,1091781,1091782,1091815,1091860,1091960,1092100,1092289,1092472,1092566,1092710,1092772,1092888,1092904,1092975,1093023,1093027,1093035,1093118,1093148,1093158,1093184,1093205,1093273,1093290,1093604,1093641,1093649,1093653,1093655,1093657,1093663,1093721,1093728,1093904,1093990,1094244,1094356,1094420,1094541,1094575,1094751,1094825,1094840,1094978,1095042,1095094,1095104,1095115,1095155,1095265,1095321,1095337,1095467,1095573,1095735,1095893,1096065,1096480,1096529,1096696,1096705,1096728,1096753,1096790,1096793,1097034,1097105,1097234,1097356,1097373,1097439,1097465,1097468,1097470,1097471,1097472,1097551,1097780,1097796,1097800,1097941,1097961,1098016,1098043,1098050,1098174,1098176,1098236,1098401,1098425,1098435,1098599,1098626,1098706,1098983,1098995,1099029,1099041,1099109,1099142,1099183,1099715,1099792,1099918,1099924,1099966,1100132,1100209,1100340,1100362,1100382,1100416,1100418,1100491,1100602,1100633,1100734,1100843,1101296,1101315,1101324,971975,975772
CVE References: CVE-2017-5715,CVE-2017-5753,CVE-2018-1000200,CVE-2018-1000204,CVE-2018-10087,CVE-2018-10124,CVE-2018-10323,CVE-2018-1092,CVE-2018-1093,CVE-2018-1094,CVE-2018-1108,CVE-2018-1118,CVE-2018-1120,CVE-2018-1130,CVE-2018-12233,CVE-2018-13053,CVE-2018-13405,CVE-2018-13406,CVE-2018-5803,CVE-2018-5848,CVE-2018-7492,CVE-2018-8781,CVE-2018-9385
Sources used:
openSUSE Leap 15.0 (src):    kernel-debug-4.12.14-lp150.12.7.1, kernel-default-4.12.14-lp150.12.7.1, kernel-docs-4.12.14-lp150.12.7.1, kernel-kvmsmall-4.12.14-lp150.12.7.1, kernel-obs-build-4.12.14-lp150.12.7.1, kernel-obs-qa-4.12.14-lp150.12.7.1, kernel-source-4.12.14-lp150.12.7.1, kernel-syms-4.12.14-lp150.12.7.1, kernel-vanilla-4.12.14-lp150.12.7.1